#! /usr/bin/make -f 

tmp:=$(shell pwd)/debian/tmp

strip = -s
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
debug = -g
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
strip := #nothing
endif
endif

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="-O2 -Wall $(debug)" ./configure \
	            --prefix=/usr --sysconfdir=/etc \
                    --with-gtk-prefix=/usr \
                    --with-install-location=$(tmp)/usr/share/bluefish \
		    --with-internal-preview
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp
	rm -f po/*.gmo bluefish.pot cat-id-tbl.c
	rm -rf $(tmp)
	dh_clean

binary-indep:

binary-arch: build 
	dh_testdir
	dh_testroot
	$(MAKE) install prefix=$(tmp)/usr sysconfdir=$(tmp)/etc pixmapsdir=$(tmp)/usr/share/pixmaps mandir=$(tmp)/usr/share/man/man1
	dh_installdocs README AUTHORS BUGS TODO NEWS
	dh_installmenu
	dh_installchangelogs ChangeLog
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif
	dh_compress
	dh_fixperms
	chmod 755 $(tmp)/usr/share/bluefish/gen*	
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
